Macaulay2 » Documentation
Packages » Schubert2 :: point
next | previous | forward | backward | up | index | toc

# point -- the default base variety of dimension 0

- Usage:
    `point`
- Outputs:
  - an abstract variety, the default base variety of dimension 0, with intersection ring isomorphic to QQ

## Description

    i1 : point

    o1 = point

    o1 : an abstract variety of dimension 0

    i2 : dim point

    o2 = 0

    i3 : intersectionRing point

    o3 = QQ[]

    o3 : PolynomialRing

    i4 : X = abstractProjectiveSpace 4

    o4 = X

    o4 : a flag bundle with subquotient ranks {1, 4}

    i5 : f = X.StructureMap

    o5 = f

    o5 : a map to point from X

    i6 : target f

    o6 = point

    o6 : an abstract variety of dimension 0

## For the programmer

The object point is an abstract variety.

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/Schubert2.m2:1857:0.